Skip to main content
POST
/
trigger
触发完整请求
curl --request POST \
  --url https://api.brightdata.com/datasets/deep_lookup/v1/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "preview_id": "<string>",
    "result_limit": 123
  }
]
'
{
  "request_id": "<string>",
  "status": "queued",
  "max_cost": "$50.00"
}
The steps array with detailed processing stages is available but typically used for internal debugging.

Authorizations

Authorization
string
header
required

在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。

认证方法:

  1. 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
  2. 在请求的 Authorization 头中包含 API Key
  3. 格式: Authorization: Bearer YOUR_API_KEY

示例:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?

Body

application/json
preview_id
string
required

要触发的预览请求 ID

Example:

"dld_meu4lhla1lj08i6p30"

result_limit
integer

限制返回结果的数量

Example:

100

Response

200 - application/json

研究请求已成功触发

request_id
string
Example:

"ai_meu3z0171o8k9jc4dh"

status
enum<string>
  • queued - 请求排队等待处理
  • running - 研究进行中
Available options:
queued,
running
Example:

"queued"

max_cost
string
Example:

"$50.00"